Update the DoorDash courier tip
curl --request PUT \
--url https://api.craveup.com/api/v1/storefront/locations/{locationId}/carts/{cartId}/courier-tip \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'If-Match: <if-match>' \
--header 'X-Cart-Token: <api-key>' \
--data '
{
"amount": "<string>"
}
'import requests
url = "https://api.craveup.com/api/v1/storefront/locations/{locationId}/carts/{cartId}/courier-tip"
payload = { "amount": "<string>" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"If-Match": "<if-match>",
"X-Cart-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
'If-Match': '<if-match>',
'X-Cart-Token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amount: '<string>'})
};
fetch('https://api.craveup.com/api/v1/storefront/locations/{locationId}/carts/{cartId}/courier-tip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"locationId": "<string>",
"merchantId": "<string>",
"status": "OPEN",
"revision": 4503599627370495,
"expiresAt": "2023-11-07T05:31:56Z",
"authorityContext": {
"version": 1,
"organizationId": "<string>",
"locationId": "<string>",
"profile": "crave_commerce",
"cartId": "<string>",
"cartRevision": 4503599627370495,
"catalogPublicationRevision": 4503599627370496,
"resolvedCatalogSnapshotRevision": 4503599627370496,
"commercePolicyRevision": 4503599627370495,
"providerBindingRevision": 4503599627370496,
"authority": {
"operationalCatalog": "crave",
"quote": "crave",
"payment": "stripe",
"refund": "stripe",
"benefits": "crave_lip",
"orderRouting": "crave",
"fulfillment": "crave"
}
},
"quoteFingerprint": "<string>",
"quoteExpiresAt": "2023-11-07T05:31:56Z",
"catalogRevalidation": {
"required": true,
"reasonCodes": [
"ITEM_SOLD_OUT"
],
"changeSet": {
"version": 1,
"previous": {
"cartRevision": 4503599627370495,
"catalogPublicationRevision": 4503599627370496,
"resolvedCatalogSnapshotRevision": 4503599627370496,
"commercePolicyRevision": 4503599627370495,
"providerBindingRevision": 4503599627370496
},
"current": {
"cartRevision": 4503599627370495,
"catalogPublicationRevision": 4503599627370496,
"resolvedCatalogSnapshotRevision": 4503599627370496,
"commercePolicyRevision": 4503599627370495,
"providerBindingRevision": 4503599627370496
},
"reasonCodes": [
"ITEM_SOLD_OUT"
],
"changes": [
{
"reason": "ITEM_SOLD_OUT",
"cartItemId": "<string>",
"canonicalEntityId": "<string>",
"path": "<string>",
"before": "<string>",
"after": "<string>",
"permittedActions": [
"ACCEPT_CHANGES"
]
}
],
"blocking": true,
"reconfirmationRequired": true,
"invalidatedEvidence": {
"quote": true,
"benefits": true,
"paymentAuthorization": true
}
},
"checkedAt": "2023-11-07T05:31:56Z",
"acknowledgedAt": "2023-11-07T05:31:56Z"
},
"restaurantDisplayName": "<string>",
"fulfilmentMethod": "takeout",
"fulfillmentIdentifier": "<string>",
"pickupType": "ASAP",
"orderDate": "<string>",
"orderTime": "<string>",
"currency": "usd",
"subTotal": "<string>",
"subTotalFormatted": "<string>",
"discountTotal": "<string>",
"discountTotalFormatted": "<string>",
"waiterTipTotal": "<string>",
"waiterTipTotalFormatted": "<string>",
"taxTotal": "<string>",
"taxTotalFormatted": "<string>",
"taxAndFeeTotal": "<string>",
"taxAndFeeTotalFormatted": "<string>",
"serviceFeeTotal": "<string>",
"serviceFeeTotalFormatted": "<string>",
"paymentProcessingFeeTotal": "<string>",
"paymentProcessingFeeTotalFormatted": "<string>",
"applicationFeeTotal": "<string>",
"applicationFeeTotalFormatted": "<string>",
"netSalesTotal": "<string>",
"netSalesTotalFormatted": "<string>",
"fulfillmentMethodFeeTotal": "<string>",
"fulfillmentMethodFeeTotalFormatted": "<string>",
"orderTotal": "<string>",
"orderTotalFormatted": "<string>",
"orderTotalWithServiceFee": "<string>",
"orderTotalWithServiceFeeFormatted": "<string>",
"orderTotalWithServiceFeeAmount": 4503599627370495,
"enterpriseFeeTotal": "<string>",
"enterpriseFeeTotalFormatted": "<string>",
"subTotalWithoutDiscount": "<string>",
"subTotalWithoutDiscountFormatted": "<string>",
"statementDescriptor": "<string>",
"totalQuantity": 4503599627370495,
"items": [
{
"id": "<string>",
"productId": "<string>",
"name": "<string>",
"description": "<string>",
"imageUrl": "<string>",
"price": "<string>",
"priceFormatted": "<string>",
"quantity": 4503599627370495,
"total": "<string>",
"totalFormatted": "<string>",
"discount": "<string>",
"discountFormatted": "<string>",
"categoryId": "<string>",
"itemUnavailableAction": "remove_item",
"selections": [
"<unknown>"
],
"specialInstructions": "<string>",
"product": {
"id": "<string>",
"name": "<string>",
"price": "<string>"
}
}
],
"fees": {
"enterpriseFeeRate": "<string>",
"enterpriseFeeFix": "<string>",
"serviceFeeRate": "<string>",
"serviceFeeFix": "<string>",
"taxRate": "<string>",
"tipRate": "<string>",
"fulfillmentMethodFeeFix": "<string>",
"fulfillmentMethodFeeRate": "<string>",
"paymentProcessingFeeRate": "<string>",
"paymentProcessingFeeFix": "<string>"
},
"lockedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"courierTipTotal": "<string>",
"courierTipTotalFormatted": "<string>",
"discountCode": "<string>",
"deliveryInfo": {
"addressString": "<string>",
"addressData": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "United States",
"lat": 0,
"lng": 0,
"streetOptional": ""
}
},
"deliveryQuote": {
"provider": "DOORDASH_DRIVE",
"externalDeliveryId": "<string>",
"quoteFingerprint": "<string>",
"feeMinor": 4503599627370495,
"taxMinor": 4503599627370495,
"courierTipMinor": 4503599627370495,
"currency": "<string>",
"quotedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"pickupEstimatedAt": "2023-11-07T05:31:56Z",
"dropoffEstimatedAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"trackingUrl": "<string>",
"supportReference": "<string>"
},
"tableServiceInfo": {
"tableNumber": "<string>"
},
"roomServiceInfo": {
"lastName": "<string>",
"roomNumber": "<string>"
}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Carts
Update the DoorDash courier tip
PUT
/
locations
/
{locationId}
/
carts
/
{cartId}
/
courier-tip
Update the DoorDash courier tip
Authorizations
StorefrontCartCapabilityStorefrontCustomerAuth
Purpose-limited capability returned for a guest cart.
Headers
Caller-stable key reused only for retries of this exact request.
Required string length:
16 - 128Pattern:
^[A-Za-z0-9._:-]{16,128}$Current cart ETag returned by the API.
Pattern:
^(?:W/)?"cart-(?:0|[1-9][0-9]*)"$Path Parameters
Required string length:
1 - 128Required string length:
1 - 128Body
application/json
Pattern:
^\d+(?:\.\d+)?$Response
Updated cart.
Required string length:
1 - 128Required string length:
1 - 128Required string length:
1 - 128Available options:
OPEN, LOCKED, COMPLETED, EXPIRED Required range:
0 <= x <= 9007199254740991Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Show child attributes
Show child attributes
Pattern:
^[a-f0-9]{64}$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Show child attributes
Show child attributes
Available options:
takeout, table_side, room_service, delivery Available options:
ASAP, LATER Available options:
usd, gbp, aed, aud Pattern:
^-?\d+(?:\.\d+)?$Pattern:
^-?\d+(?:\.\d+)?$Pattern:
^-?\d+(?:\.\d+)?$Pattern:
^-?\d+(?:\.\d+)?$Pattern:
^-?\d+(?:\.\d+)?$Pattern:
^-?\d+(?:\.\d+)?$Pattern:
^-?\d+(?:\.\d+)?$Pattern:
^-?\d+(?:\.\d+)?$Pattern:
^-?\d+(?:\.\d+)?$Pattern:
^-?\d+(?:\.\d+)?$Pattern:
^-?\d+(?:\.\d+)?$Pattern:
^-?\d+(?:\.\d+)?$Required range:
0 <= x <= 9007199254740991Pattern:
^-?\d+(?:\.\d+)?$Pattern:
^-?\d+(?:\.\d+)?$Required range:
0 <= x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Show child attributes
Show child attributes
Pattern:
^-?\d+(?:\.\d+)?$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes